[Unit]
Description=Bind mount volatile /etc/bind/named.conf.options
DefaultDependencies=false
Before=local-fs.target
RequiresMountsFor=/tmp /etc/bind
ConditionPathIsReadWrite=/tmp
ConditionPathExists=/etc/bind/named.conf.options
ConditionPathIsReadWrite=!/etc/bind/named.conf.options

[Service]
Type=oneshot
RemainAfterExit=Yes
StandardOutput=syslog
TimeoutSec=0
ExecStart=/sbin/mount-copybind /tmp/named.conf.options /etc/bind/named.conf.options
ExecStop=/bin/umount /etc/bind/named.conf.options

[Install]
WantedBy=local-fs.target
